Index: trunk/Makefile
===================================================================
--- trunk/Makefile	(revision 200)
+++ trunk/Makefile	(revision 201)
@@ -24,8 +24,30 @@
 
 SHARED = lib/libUtilities.$(DllSuf) lib/libHector.$(DllSuf)
+VERSION=$(shell cat VERSION)
+FOLDER=Delphes_V_$(VERSION)
+TARBALL=$(FOLDER).tar.gz
+TESTFILE=tt_jj_small.hep
 
 all:
 
 
+Delphes$(ExeSuf): \
+	tmp/Delphes.$(ObjSuf)
+
+tmp/Delphes.$(ObjSuf): \
+	Delphes.cpp \
+	Utilities/ExRootAnalysis/interface/ExRootTreeReader.h \
+	Utilities/ExRootAnalysis/interface/ExRootTreeWriter.h \
+	Utilities/ExRootAnalysis/interface/ExRootTreeBranch.h \
+	interface/DataConverter.h \
+	interface/HEPEVTConverter.h \
+	interface/LHEFConverter.h \
+	interface/STDHEPConverter.h \
+	interface/SmearUtil.h \
+	interface/BFieldProp.h \
+	interface/TriggerUtil.h \
+	interface/VeryForward.h \
+	interface/JetUtils.h \
+	interface/FrogUtil.h
 Resolutions$(ExeSuf): \
 	tmp/Resolutions.$(ObjSuf)
@@ -46,22 +68,25 @@
 	Utilities/Fastjet/include/fastjet/ClusterSequence.hh \
 	interface/TreeClasses.h
-Delphes$(ExeSuf): \
-	tmp/Delphes.$(ObjSuf)
-
-tmp/Delphes.$(ObjSuf): \
-	Delphes.cpp \
-	Utilities/ExRootAnalysis/interface/ExRootTreeReader.h \
-	Utilities/ExRootAnalysis/interface/ExRootTreeWriter.h \
-	Utilities/ExRootAnalysis/interface/ExRootTreeBranch.h \
-	interface/DataConverter.h \
-	interface/HEPEVTConverter.h \
-	interface/LHEFConverter.h \
-	interface/STDHEPConverter.h \
-	interface/SmearUtil.h \
-	interface/BFieldProp.h \
+Analysis_Ex$(ExeSuf): \
+	tmp/Examples/Analysis_Ex.$(ObjSuf)
+
+tmp/Examples/Analysis_Ex.$(ObjSuf): \
+	Examples/Analysis_Ex.cpp \
+	Utilities/ExRootAnalysis/interface/ExRootTreeReader.h \
+	Utilities/ExRootAnalysis/interface/ExRootTreeWriter.h \
+	Utilities/ExRootAnalysis/interface/ExRootTreeBranch.h \
+	Utilities/ExRootAnalysis/interface/BlockClasses.h \
+	Utilities/ExRootAnalysis/interface/TSimpleArray.h \
+	Examples/interface/Analysis_Ex.h
+Trigger_Only$(ExeSuf): \
+	tmp/Examples/Trigger_Only.$(ObjSuf)
+
+tmp/Examples/Trigger_Only.$(ObjSuf): \
+	Examples/Trigger_Only.cpp \
+	Utilities/ExRootAnalysis/interface/ExRootTreeReader.h \
+	Utilities/ExRootAnalysis/interface/ExRootTreeWriter.h \
+	Utilities/ExRootAnalysis/interface/ExRootTreeBranch.h \
 	interface/TriggerUtil.h \
-	interface/VeryForward.h \
-	interface/JetUtils.h \
-	interface/FrogUtil.h
+	Utilities/ExRootAnalysis/interface/BlockClasses.h
 Frog_on_analysis_output$(ExeSuf): \
 	tmp/Examples/Frog_on_analysis_output.$(ObjSuf)
@@ -71,38 +96,17 @@
 	interface/FrogUtil.h \
 	interface/SmearUtil.h
-Trigger_Only$(ExeSuf): \
-	tmp/Examples/Trigger_Only.$(ObjSuf)
-
-tmp/Examples/Trigger_Only.$(ObjSuf): \
-	Examples/Trigger_Only.cpp \
-	Utilities/ExRootAnalysis/interface/ExRootTreeReader.h \
-	Utilities/ExRootAnalysis/interface/ExRootTreeWriter.h \
-	Utilities/ExRootAnalysis/interface/ExRootTreeBranch.h \
-	interface/TriggerUtil.h \
-	Utilities/ExRootAnalysis/interface/BlockClasses.h
-Analysis_Ex$(ExeSuf): \
-	tmp/Examples/Analysis_Ex.$(ObjSuf)
-
-tmp/Examples/Analysis_Ex.$(ObjSuf): \
-	Examples/Analysis_Ex.cpp \
-	Utilities/ExRootAnalysis/interface/ExRootTreeReader.h \
-	Utilities/ExRootAnalysis/interface/ExRootTreeWriter.h \
-	Utilities/ExRootAnalysis/interface/ExRootTreeBranch.h \
-	Utilities/ExRootAnalysis/interface/BlockClasses.h \
-	Utilities/ExRootAnalysis/interface/TSimpleArray.h \
-	Examples/interface/Analysis_Ex.h
 EXECUTABLE =  \
+	Delphes$(ExeSuf) \
 	Resolutions$(ExeSuf) \
-	Delphes$(ExeSuf) \
-	Frog_on_analysis_output$(ExeSuf) \
+	Analysis_Ex$(ExeSuf) \
 	Trigger_Only$(ExeSuf) \
-	Analysis_Ex$(ExeSuf)
+	Frog_on_analysis_output$(ExeSuf)
 
 EXECUTABLE_OBJ =  \
+	tmp/Delphes.$(ObjSuf) \
 	tmp/Resolutions.$(ObjSuf) \
-	tmp/Delphes.$(ObjSuf) \
-	tmp/Examples/Frog_on_analysis_output.$(ObjSuf) \
+	tmp/Examples/Analysis_Ex.$(ObjSuf) \
 	tmp/Examples/Trigger_Only.$(ObjSuf) \
-	tmp/Examples/Analysis_Ex.$(ObjSuf)
+	tmp/Examples/Frog_on_analysis_output.$(ObjSuf)
 
 tmp/Utilities/ExRootAnalysis/src/BlockClassesDict.$(SrcSuf): \
@@ -125,27 +129,27 @@
 	tmp/Examples/src/Analysis_ExDict.$(ObjSuf)
 
+tmp/src/JetUtils.$(ObjSuf): \
+	src/JetUtils.$(SrcSuf) \
+	interface/JetUtils.h
+tmp/src/SmearUtil.$(ObjSuf): \
+	src/SmearUtil.$(SrcSuf) \
+	interface/SmearUtil.h
+tmp/src/TriggerUtil.$(ObjSuf): \
+	src/TriggerUtil.$(SrcSuf) \
+	interface/TriggerUtil.h
+tmp/src/BFieldProp.$(ObjSuf): \
+	src/BFieldProp.$(SrcSuf) \
+	interface/BFieldProp.h
 tmp/src/VeryForward.$(ObjSuf): \
 	src/VeryForward.$(SrcSuf) \
 	interface/VeryForward.h \
 	interface/SmearUtil.h
-tmp/src/TriggerUtil.$(ObjSuf): \
-	src/TriggerUtil.$(SrcSuf) \
-	interface/TriggerUtil.h
-tmp/src/STDHEPConverter.$(ObjSuf): \
-	src/STDHEPConverter.$(SrcSuf) \
-	Utilities/ExRootAnalysis/interface/BlockClasses.h \
-	Utilities/ExRootAnalysis/interface/ExRootTreeReader.h \
-	Utilities/ExRootAnalysis/interface/ExRootTreeWriter.h \
-	Utilities/ExRootAnalysis/interface/ExRootTreeBranch.h \
-	Utilities/ExRootAnalysis/interface/LHEF.h \
-	Utilities/stdhep/stdhep_mcfio.h \
-	Utilities/stdhep/stdhep_declarations.h \
-	interface/STDHEPConverter.h
-tmp/src/TreeClasses.$(ObjSuf): \
-	src/TreeClasses.$(SrcSuf) \
-	interface/TreeClasses.h
-tmp/src/JetUtils.$(ObjSuf): \
-	src/JetUtils.$(SrcSuf) \
-	interface/JetUtils.h
+tmp/src/LHEFConverter.$(ObjSuf): \
+	src/LHEFConverter.$(SrcSuf) \
+	Utilities/ExRootAnalysis/interface/ExRootTreeWriter.h \
+	Utilities/ExRootAnalysis/interface/ExRootTreeBranch.h \
+	Utilities/ExRootAnalysis/interface/BlockClasses.h \
+	interface/LHEFConverter.h \
+	Utilities/ExRootAnalysis/interface/LHEF.h
 tmp/src/FrogUtil.$(ObjSuf): \
 	src/FrogUtil.$(SrcSuf) \
@@ -160,14 +164,14 @@
 	Utilities/FROG/Includes/FROG/FROG_ReadCards.h \
 	Utilities/FROG/Includes/FROG/FROG_ZLib.h
-tmp/src/LHEFConverter.$(ObjSuf): \
-	src/LHEFConverter.$(SrcSuf) \
-	Utilities/ExRootAnalysis/interface/ExRootTreeWriter.h \
-	Utilities/ExRootAnalysis/interface/ExRootTreeBranch.h \
-	Utilities/ExRootAnalysis/interface/BlockClasses.h \
-	interface/LHEFConverter.h \
-	Utilities/ExRootAnalysis/interface/LHEF.h
-tmp/src/BFieldProp.$(ObjSuf): \
-	src/BFieldProp.$(SrcSuf) \
-	interface/BFieldProp.h
+tmp/src/STDHEPConverter.$(ObjSuf): \
+	src/STDHEPConverter.$(SrcSuf) \
+	Utilities/ExRootAnalysis/interface/BlockClasses.h \
+	Utilities/ExRootAnalysis/interface/ExRootTreeReader.h \
+	Utilities/ExRootAnalysis/interface/ExRootTreeWriter.h \
+	Utilities/ExRootAnalysis/interface/ExRootTreeBranch.h \
+	Utilities/ExRootAnalysis/interface/LHEF.h \
+	Utilities/stdhep/stdhep_mcfio.h \
+	Utilities/stdhep/stdhep_declarations.h \
+	interface/STDHEPConverter.h
 tmp/src/HEPEVTConverter.$(ObjSuf): \
 	src/HEPEVTConverter.$(SrcSuf) \
@@ -177,7 +181,16 @@
 	Utilities/ExRootAnalysis/interface/ExRootTreeBranch.h \
 	interface/HEPEVTConverter.h
-tmp/src/SmearUtil.$(ObjSuf): \
-	src/SmearUtil.$(SrcSuf) \
-	interface/SmearUtil.h
+tmp/src/TreeClasses.$(ObjSuf): \
+	src/TreeClasses.$(SrcSuf) \
+	interface/TreeClasses.h
+tmp/Utilities/ExRootAnalysis/src/ExRootTreeReader.$(ObjSuf): \
+	Utilities/ExRootAnalysis/src/ExRootTreeReader.$(SrcSuf) \
+	Utilities/ExRootAnalysis/interface/ExRootTreeReader.h
+tmp/Utilities/ExRootAnalysis/src/ExRootTreeBranch.$(ObjSuf): \
+	Utilities/ExRootAnalysis/src/ExRootTreeBranch.$(SrcSuf) \
+	Utilities/ExRootAnalysis/interface/ExRootTreeBranch.h
+tmp/Utilities/ExRootAnalysis/src/ExRootProgressBar.$(ObjSuf): \
+	Utilities/ExRootAnalysis/src/ExRootProgressBar.$(SrcSuf) \
+	Utilities/ExRootAnalysis/interface/ExRootProgressBar.h
 tmp/Utilities/ExRootAnalysis/src/ExRootTreeWriter.$(ObjSuf): \
 	Utilities/ExRootAnalysis/src/ExRootTreeWriter.$(SrcSuf) \
@@ -188,119 +201,110 @@
 	Utilities/ExRootAnalysis/interface/BlockClasses.h \
 	Utilities/ExRootAnalysis/interface/BlockCompare.h
-tmp/Utilities/ExRootAnalysis/src/ExRootTreeBranch.$(ObjSuf): \
-	Utilities/ExRootAnalysis/src/ExRootTreeBranch.$(SrcSuf) \
-	Utilities/ExRootAnalysis/interface/ExRootTreeBranch.h
-tmp/Utilities/ExRootAnalysis/src/ExRootTreeReader.$(ObjSuf): \
-	Utilities/ExRootAnalysis/src/ExRootTreeReader.$(SrcSuf) \
-	Utilities/ExRootAnalysis/interface/ExRootTreeReader.h
-tmp/Utilities/ExRootAnalysis/src/ExRootProgressBar.$(ObjSuf): \
-	Utilities/ExRootAnalysis/src/ExRootProgressBar.$(SrcSuf) \
-	Utilities/ExRootAnalysis/interface/ExRootProgressBar.h
+tmp/Utilities/Hector/src/H_Kicker.$(ObjSuf): \
+	Utilities/Hector/src/H_Kicker.$(SrcSuf)
+tmp/Utilities/Hector/src/H_HorizontalQuadrupole.$(ObjSuf): \
+	Utilities/Hector/src/H_HorizontalQuadrupole.$(SrcSuf)
+tmp/Utilities/Hector/src/H_EllipticAperture.$(ObjSuf): \
+	Utilities/Hector/src/H_EllipticAperture.$(SrcSuf)
+tmp/Utilities/Hector/src/H_RomanPot.$(ObjSuf): \
+	Utilities/Hector/src/H_RomanPot.$(SrcSuf)
+tmp/Utilities/Hector/src/H_CircularAperture.$(ObjSuf): \
+	Utilities/Hector/src/H_CircularAperture.$(SrcSuf)
+tmp/Utilities/Hector/src/H_TransportMatrices.$(ObjSuf): \
+	Utilities/Hector/src/H_TransportMatrices.$(SrcSuf)
+tmp/Utilities/Hector/src/H_Dipole.$(ObjSuf): \
+	Utilities/Hector/src/H_Dipole.$(SrcSuf)
+tmp/Utilities/Hector/src/H_Drift.$(ObjSuf): \
+	Utilities/Hector/src/H_Drift.$(SrcSuf)
+tmp/Utilities/Hector/src/H_Aperture.$(ObjSuf): \
+	Utilities/Hector/src/H_Aperture.$(SrcSuf)
+tmp/Utilities/Hector/src/H_HorizontalKicker.$(ObjSuf): \
+	Utilities/Hector/src/H_HorizontalKicker.$(SrcSuf)
+tmp/Utilities/Hector/src/H_RectangularAperture.$(ObjSuf): \
+	Utilities/Hector/src/H_RectangularAperture.$(SrcSuf)
+tmp/Utilities/Hector/src/H_VerticalQuadrupole.$(ObjSuf): \
+	Utilities/Hector/src/H_VerticalQuadrupole.$(SrcSuf)
+tmp/Utilities/Hector/src/H_VerticalKicker.$(ObjSuf): \
+	Utilities/Hector/src/H_VerticalKicker.$(SrcSuf)
 tmp/Utilities/Hector/src/H_Parameters.$(ObjSuf): \
 	Utilities/Hector/src/H_Parameters.$(SrcSuf)
-tmp/Utilities/Hector/src/H_RomanPot.$(ObjSuf): \
-	Utilities/Hector/src/H_RomanPot.$(SrcSuf)
+tmp/Utilities/Hector/src/H_SectorDipole.$(ObjSuf): \
+	Utilities/Hector/src/H_SectorDipole.$(SrcSuf)
+tmp/Utilities/Hector/src/H_BeamLineParser.$(ObjSuf): \
+	Utilities/Hector/src/H_BeamLineParser.$(SrcSuf)
+tmp/Utilities/Hector/src/H_RectangularDipole.$(ObjSuf): \
+	Utilities/Hector/src/H_RectangularDipole.$(SrcSuf)
+tmp/Utilities/Hector/src/H_Marker.$(ObjSuf): \
+	Utilities/Hector/src/H_Marker.$(SrcSuf)
+tmp/Utilities/Hector/src/H_OpticalElement.$(ObjSuf): \
+	Utilities/Hector/src/H_OpticalElement.$(SrcSuf)
+tmp/Utilities/Hector/src/H_Quadrupole.$(ObjSuf): \
+	Utilities/Hector/src/H_Quadrupole.$(SrcSuf)
+tmp/Utilities/Hector/src/H_BeamLine.$(ObjSuf): \
+	Utilities/Hector/src/H_BeamLine.$(SrcSuf)
+tmp/Utilities/Hector/src/H_RectangularCollimator.$(ObjSuf): \
+	Utilities/Hector/src/H_RectangularCollimator.$(SrcSuf)
+tmp/Utilities/Hector/src/H_BeamParticle.$(ObjSuf): \
+	Utilities/Hector/src/H_BeamParticle.$(SrcSuf)
+tmp/Utilities/Hector/src/H_AbstractBeamLine.$(ObjSuf): \
+	Utilities/Hector/src/H_AbstractBeamLine.$(SrcSuf)
+tmp/Utilities/Hector/src/H_RecRPObject.$(ObjSuf): \
+	Utilities/Hector/src/H_RecRPObject.$(SrcSuf)
 tmp/Utilities/Hector/src/H_Beam.$(ObjSuf): \
 	Utilities/Hector/src/H_Beam.$(SrcSuf)
-tmp/Utilities/Hector/src/H_SectorDipole.$(ObjSuf): \
-	Utilities/Hector/src/H_SectorDipole.$(SrcSuf)
-tmp/Utilities/Hector/src/H_RecRPObject.$(ObjSuf): \
-	Utilities/Hector/src/H_RecRPObject.$(SrcSuf)
-tmp/Utilities/Hector/src/H_Drift.$(ObjSuf): \
-	Utilities/Hector/src/H_Drift.$(SrcSuf)
-tmp/Utilities/Hector/src/H_CircularAperture.$(ObjSuf): \
-	Utilities/Hector/src/H_CircularAperture.$(SrcSuf)
-tmp/Utilities/Hector/src/H_VerticalQuadrupole.$(ObjSuf): \
-	Utilities/Hector/src/H_VerticalQuadrupole.$(SrcSuf)
-tmp/Utilities/Hector/src/H_EllipticAperture.$(ObjSuf): \
-	Utilities/Hector/src/H_EllipticAperture.$(SrcSuf)
-tmp/Utilities/Hector/src/H_RectangularDipole.$(ObjSuf): \
-	Utilities/Hector/src/H_RectangularDipole.$(SrcSuf)
-tmp/Utilities/Hector/src/H_OpticalElement.$(ObjSuf): \
-	Utilities/Hector/src/H_OpticalElement.$(SrcSuf)
-tmp/Utilities/Hector/src/H_Kicker.$(ObjSuf): \
-	Utilities/Hector/src/H_Kicker.$(SrcSuf)
-tmp/Utilities/Hector/src/H_BeamLineParser.$(ObjSuf): \
-	Utilities/Hector/src/H_BeamLineParser.$(SrcSuf)
-tmp/Utilities/Hector/src/H_AbstractBeamLine.$(ObjSuf): \
-	Utilities/Hector/src/H_AbstractBeamLine.$(SrcSuf)
-tmp/Utilities/Hector/src/H_Aperture.$(ObjSuf): \
-	Utilities/Hector/src/H_Aperture.$(SrcSuf)
-tmp/Utilities/Hector/src/H_BeamParticle.$(ObjSuf): \
-	Utilities/Hector/src/H_BeamParticle.$(SrcSuf)
-tmp/Utilities/Hector/src/H_TransportMatrices.$(ObjSuf): \
-	Utilities/Hector/src/H_TransportMatrices.$(SrcSuf)
-tmp/Utilities/Hector/src/H_HorizontalKicker.$(ObjSuf): \
-	Utilities/Hector/src/H_HorizontalKicker.$(SrcSuf)
-tmp/Utilities/Hector/src/H_Quadrupole.$(ObjSuf): \
-	Utilities/Hector/src/H_Quadrupole.$(SrcSuf)
-tmp/Utilities/Hector/src/H_RectangularAperture.$(ObjSuf): \
-	Utilities/Hector/src/H_RectangularAperture.$(SrcSuf)
-tmp/Utilities/Hector/src/H_Marker.$(ObjSuf): \
-	Utilities/Hector/src/H_Marker.$(SrcSuf)
-tmp/Utilities/Hector/src/H_RectangularCollimator.$(ObjSuf): \
-	Utilities/Hector/src/H_RectangularCollimator.$(SrcSuf)
-tmp/Utilities/Hector/src/H_BeamLine.$(ObjSuf): \
-	Utilities/Hector/src/H_BeamLine.$(SrcSuf)
-tmp/Utilities/Hector/src/H_HorizontalQuadrupole.$(ObjSuf): \
-	Utilities/Hector/src/H_HorizontalQuadrupole.$(SrcSuf)
-tmp/Utilities/Hector/src/H_VerticalKicker.$(ObjSuf): \
-	Utilities/Hector/src/H_VerticalKicker.$(SrcSuf)
 tmp/Utilities/Hector/src/H_RectEllipticAperture.$(ObjSuf): \
 	Utilities/Hector/src/H_RectEllipticAperture.$(SrcSuf)
-tmp/Utilities/Hector/src/H_Dipole.$(ObjSuf): \
-	Utilities/Hector/src/H_Dipole.$(SrcSuf)
+tmp/Utilities/Fastjet/src/ClusterSequence1GhostPassiveArea.$(ObjSuf): \
+	Utilities/Fastjet/src/ClusterSequence1GhostPassiveArea.$(SrcSuf)
+tmp/Utilities/Fastjet/src/ClusterSequenceArea.$(ObjSuf): \
+	Utilities/Fastjet/src/ClusterSequenceArea.$(SrcSuf)
+tmp/Utilities/Fastjet/src/Error.$(ObjSuf): \
+	Utilities/Fastjet/src/Error.$(SrcSuf)
+tmp/Utilities/Fastjet/src/ClusterSequence_Delaunay.$(ObjSuf): \
+	Utilities/Fastjet/src/ClusterSequence_Delaunay.$(SrcSuf)
+tmp/Utilities/Fastjet/src/DnnPlane.$(ObjSuf): \
+	Utilities/Fastjet/src/DnnPlane.$(SrcSuf)
+tmp/Utilities/Fastjet/src/ClusterSequenceVoronoiArea.$(ObjSuf): \
+	Utilities/Fastjet/src/ClusterSequenceVoronoiArea.$(SrcSuf)
+tmp/Utilities/Fastjet/src/BasicRandom.$(ObjSuf): \
+	Utilities/Fastjet/src/BasicRandom.$(SrcSuf)
+tmp/Utilities/Fastjet/src/ClusterSequenceActiveArea.$(ObjSuf): \
+	Utilities/Fastjet/src/ClusterSequenceActiveArea.$(SrcSuf)
+tmp/Utilities/Fastjet/src/ClusterSequence_N2.$(ObjSuf): \
+	Utilities/Fastjet/src/ClusterSequence_N2.$(SrcSuf)
+tmp/Utilities/Fastjet/src/ClusterSequence_TiledN2.$(ObjSuf): \
+	Utilities/Fastjet/src/ClusterSequence_TiledN2.$(SrcSuf)
+tmp/Utilities/Fastjet/src/JetDefinition.$(ObjSuf): \
+	Utilities/Fastjet/src/JetDefinition.$(SrcSuf)
+tmp/Utilities/Fastjet/src/ClusterSequence_DumbN3.$(ObjSuf): \
+	Utilities/Fastjet/src/ClusterSequence_DumbN3.$(SrcSuf)
+tmp/Utilities/Fastjet/src/ClusterSequenceAreaBase.$(ObjSuf): \
+	Utilities/Fastjet/src/ClusterSequenceAreaBase.$(SrcSuf)
+tmp/Utilities/Fastjet/src/ClusterSequencePassiveArea.$(ObjSuf): \
+	Utilities/Fastjet/src/ClusterSequencePassiveArea.$(SrcSuf)
+tmp/Utilities/Fastjet/src/ClusterSequence_CP2DChan.$(ObjSuf): \
+	Utilities/Fastjet/src/ClusterSequence_CP2DChan.$(SrcSuf)
+tmp/Utilities/Fastjet/src/ClosestPair2D.$(ObjSuf): \
+	Utilities/Fastjet/src/ClosestPair2D.$(SrcSuf)
+tmp/Utilities/Fastjet/src/Dnn4piCylinder.$(ObjSuf): \
+	Utilities/Fastjet/src/Dnn4piCylinder.$(SrcSuf)
+tmp/Utilities/Fastjet/src/MinHeap.$(ObjSuf): \
+	Utilities/Fastjet/src/MinHeap.$(SrcSuf)
+tmp/Utilities/Fastjet/src/PseudoJet.$(ObjSuf): \
+	Utilities/Fastjet/src/PseudoJet.$(SrcSuf)
 tmp/Utilities/Fastjet/src/GhostedAreaSpec.$(ObjSuf): \
 	Utilities/Fastjet/src/GhostedAreaSpec.$(SrcSuf)
+tmp/Utilities/Fastjet/src/RangeDefinition.$(ObjSuf): \
+	Utilities/Fastjet/src/RangeDefinition.$(SrcSuf)
 tmp/Utilities/Fastjet/src/Dnn3piCylinder.$(ObjSuf): \
 	Utilities/Fastjet/src/Dnn3piCylinder.$(SrcSuf)
-tmp/Utilities/Fastjet/src/ClusterSequence_TiledN2.$(ObjSuf): \
-	Utilities/Fastjet/src/ClusterSequence_TiledN2.$(SrcSuf)
-tmp/Utilities/Fastjet/src/MinHeap.$(ObjSuf): \
-	Utilities/Fastjet/src/MinHeap.$(SrcSuf)
-tmp/Utilities/Fastjet/src/Dnn4piCylinder.$(ObjSuf): \
-	Utilities/Fastjet/src/Dnn4piCylinder.$(SrcSuf)
-tmp/Utilities/Fastjet/src/ClusterSequence_DumbN3.$(ObjSuf): \
-	Utilities/Fastjet/src/ClusterSequence_DumbN3.$(SrcSuf)
-tmp/Utilities/Fastjet/src/Voronoi.$(ObjSuf): \
-	Utilities/Fastjet/src/Voronoi.$(SrcSuf)
-tmp/Utilities/Fastjet/src/ClusterSequenceVoronoiArea.$(ObjSuf): \
-	Utilities/Fastjet/src/ClusterSequenceVoronoiArea.$(SrcSuf)
-tmp/Utilities/Fastjet/src/RangeDefinition.$(ObjSuf): \
-	Utilities/Fastjet/src/RangeDefinition.$(SrcSuf)
-tmp/Utilities/Fastjet/src/ClusterSequencePassiveArea.$(ObjSuf): \
-	Utilities/Fastjet/src/ClusterSequencePassiveArea.$(SrcSuf)
-tmp/Utilities/Fastjet/src/ClusterSequenceAreaBase.$(ObjSuf): \
-	Utilities/Fastjet/src/ClusterSequenceAreaBase.$(SrcSuf)
-tmp/Utilities/Fastjet/src/ClusterSequence1GhostPassiveArea.$(ObjSuf): \
-	Utilities/Fastjet/src/ClusterSequence1GhostPassiveArea.$(SrcSuf)
-tmp/Utilities/Fastjet/src/AreaDefinition.$(ObjSuf): \
-	Utilities/Fastjet/src/AreaDefinition.$(SrcSuf)
-tmp/Utilities/Fastjet/src/JetDefinition.$(ObjSuf): \
-	Utilities/Fastjet/src/JetDefinition.$(SrcSuf)
-tmp/Utilities/Fastjet/src/BasicRandom.$(ObjSuf): \
-	Utilities/Fastjet/src/BasicRandom.$(SrcSuf)
-tmp/Utilities/Fastjet/src/ClosestPair2D.$(ObjSuf): \
-	Utilities/Fastjet/src/ClosestPair2D.$(SrcSuf)
-tmp/Utilities/Fastjet/src/DnnPlane.$(ObjSuf): \
-	Utilities/Fastjet/src/DnnPlane.$(SrcSuf)
-tmp/Utilities/Fastjet/src/ClusterSequence_Delaunay.$(ObjSuf): \
-	Utilities/Fastjet/src/ClusterSequence_Delaunay.$(SrcSuf)
 tmp/Utilities/Fastjet/src/ClusterSequence.$(ObjSuf): \
 	Utilities/Fastjet/src/ClusterSequence.$(SrcSuf)
 tmp/Utilities/Fastjet/src/ClusterSequenceActiveAreaExplicitGhosts.$(ObjSuf): \
 	Utilities/Fastjet/src/ClusterSequenceActiveAreaExplicitGhosts.$(SrcSuf)
-tmp/Utilities/Fastjet/src/PseudoJet.$(ObjSuf): \
-	Utilities/Fastjet/src/PseudoJet.$(SrcSuf)
-tmp/Utilities/Fastjet/src/ClusterSequenceArea.$(ObjSuf): \
-	Utilities/Fastjet/src/ClusterSequenceArea.$(SrcSuf)
-tmp/Utilities/Fastjet/src/ClusterSequence_N2.$(ObjSuf): \
-	Utilities/Fastjet/src/ClusterSequence_N2.$(SrcSuf)
-tmp/Utilities/Fastjet/src/ClusterSequenceActiveArea.$(ObjSuf): \
-	Utilities/Fastjet/src/ClusterSequenceActiveArea.$(SrcSuf)
-tmp/Utilities/Fastjet/src/ClusterSequence_CP2DChan.$(ObjSuf): \
-	Utilities/Fastjet/src/ClusterSequence_CP2DChan.$(SrcSuf)
-tmp/Utilities/Fastjet/src/Error.$(ObjSuf): \
-	Utilities/Fastjet/src/Error.$(SrcSuf)
+tmp/Utilities/Fastjet/src/AreaDefinition.$(ObjSuf): \
+	Utilities/Fastjet/src/AreaDefinition.$(SrcSuf)
+tmp/Utilities/Fastjet/src/Voronoi.$(ObjSuf): \
+	Utilities/Fastjet/src/Voronoi.$(SrcSuf)
 tmp/Utilities/Fastjet/src/Dnn2piCylinder.$(ObjSuf): \
 	Utilities/Fastjet/src/Dnn2piCylinder.$(SrcSuf)
@@ -312,179 +316,165 @@
 	Utilities/Fastjet/plugins/CDFCones/CDFJetCluPlugin.$(SrcSuf) \
 	Utilities/Fastjet/include/fastjet/ClusterSequence.hh
+tmp/Utilities/Fastjet/plugins/CDFCones/src/Centroid.$(ObjSuf): \
+	Utilities/Fastjet/plugins/CDFCones/src/Centroid.$(SrcSuf)
+tmp/Utilities/Fastjet/plugins/CDFCones/src/CalTower.$(ObjSuf): \
+	Utilities/Fastjet/plugins/CDFCones/src/CalTower.$(SrcSuf)
+tmp/Utilities/Fastjet/plugins/CDFCones/src/PhysicsTower.$(ObjSuf): \
+	Utilities/Fastjet/plugins/CDFCones/src/PhysicsTower.$(SrcSuf)
 tmp/Utilities/Fastjet/plugins/CDFCones/src/MidPointAlgorithm.$(ObjSuf): \
 	Utilities/Fastjet/plugins/CDFCones/src/MidPointAlgorithm.$(SrcSuf)
-tmp/Utilities/Fastjet/plugins/CDFCones/src/PhysicsTower.$(ObjSuf): \
-	Utilities/Fastjet/plugins/CDFCones/src/PhysicsTower.$(SrcSuf)
-tmp/Utilities/Fastjet/plugins/CDFCones/src/Centroid.$(ObjSuf): \
-	Utilities/Fastjet/plugins/CDFCones/src/Centroid.$(SrcSuf)
-tmp/Utilities/Fastjet/plugins/CDFCones/src/ClusterComparisons.$(ObjSuf): \
-	Utilities/Fastjet/plugins/CDFCones/src/ClusterComparisons.$(SrcSuf)
+tmp/Utilities/Fastjet/plugins/CDFCones/src/LorentzVector.$(ObjSuf): \
+	Utilities/Fastjet/plugins/CDFCones/src/LorentzVector.$(SrcSuf)
 tmp/Utilities/Fastjet/plugins/CDFCones/src/JetCluAlgorithm.$(ObjSuf): \
 	Utilities/Fastjet/plugins/CDFCones/src/JetCluAlgorithm.$(SrcSuf)
 tmp/Utilities/Fastjet/plugins/CDFCones/src/Cluster.$(ObjSuf): \
 	Utilities/Fastjet/plugins/CDFCones/src/Cluster.$(SrcSuf)
-tmp/Utilities/Fastjet/plugins/CDFCones/src/CalTower.$(ObjSuf): \
-	Utilities/Fastjet/plugins/CDFCones/src/CalTower.$(SrcSuf)
-tmp/Utilities/Fastjet/plugins/CDFCones/src/LorentzVector.$(ObjSuf): \
-	Utilities/Fastjet/plugins/CDFCones/src/LorentzVector.$(SrcSuf)
+tmp/Utilities/Fastjet/plugins/CDFCones/src/ClusterComparisons.$(ObjSuf): \
+	Utilities/Fastjet/plugins/CDFCones/src/ClusterComparisons.$(SrcSuf)
 tmp/Utilities/Fastjet/plugins/SISCone/SISConePlugin.$(ObjSuf): \
 	Utilities/Fastjet/plugins/SISCone/SISConePlugin.$(SrcSuf) \
 	Utilities/Fastjet/include/fastjet/ClusterSequence.hh
+tmp/Utilities/Fastjet/plugins/SISCone/src/hash.$(ObjSuf): \
+	Utilities/Fastjet/plugins/SISCone/src/hash.$(SrcSuf)
+tmp/Utilities/Fastjet/plugins/SISCone/src/siscone.$(ObjSuf): \
+	Utilities/Fastjet/plugins/SISCone/src/siscone.$(SrcSuf)
+tmp/Utilities/Fastjet/plugins/SISCone/src/reference.$(ObjSuf): \
+	Utilities/Fastjet/plugins/SISCone/src/reference.$(SrcSuf)
 tmp/Utilities/Fastjet/plugins/SISCone/src/ranlux.$(ObjSuf): \
 	Utilities/Fastjet/plugins/SISCone/src/ranlux.$(SrcSuf)
+tmp/Utilities/Fastjet/plugins/SISCone/src/vicinity.$(ObjSuf): \
+	Utilities/Fastjet/plugins/SISCone/src/vicinity.$(SrcSuf)
+tmp/Utilities/Fastjet/plugins/SISCone/src/siscone_error.$(ObjSuf): \
+	Utilities/Fastjet/plugins/SISCone/src/siscone_error.$(SrcSuf)
+tmp/Utilities/Fastjet/plugins/SISCone/src/area.$(ObjSuf): \
+	Utilities/Fastjet/plugins/SISCone/src/area.$(SrcSuf)
+tmp/Utilities/Fastjet/plugins/SISCone/src/protocones.$(ObjSuf): \
+	Utilities/Fastjet/plugins/SISCone/src/protocones.$(SrcSuf)
+tmp/Utilities/Fastjet/plugins/SISCone/src/split_merge.$(ObjSuf): \
+	Utilities/Fastjet/plugins/SISCone/src/split_merge.$(SrcSuf)
 tmp/Utilities/Fastjet/plugins/SISCone/src/geom_2d.$(ObjSuf): \
 	Utilities/Fastjet/plugins/SISCone/src/geom_2d.$(SrcSuf)
 tmp/Utilities/Fastjet/plugins/SISCone/src/momentum.$(ObjSuf): \
 	Utilities/Fastjet/plugins/SISCone/src/momentum.$(SrcSuf)
-tmp/Utilities/Fastjet/plugins/SISCone/src/reference.$(ObjSuf): \
-	Utilities/Fastjet/plugins/SISCone/src/reference.$(SrcSuf)
-tmp/Utilities/Fastjet/plugins/SISCone/src/siscone.$(ObjSuf): \
-	Utilities/Fastjet/plugins/SISCone/src/siscone.$(SrcSuf)
-tmp/Utilities/Fastjet/plugins/SISCone/src/area.$(ObjSuf): \
-	Utilities/Fastjet/plugins/SISCone/src/area.$(SrcSuf)
 tmp/Utilities/Fastjet/plugins/SISCone/src/quadtree.$(ObjSuf): \
 	Utilities/Fastjet/plugins/SISCone/src/quadtree.$(SrcSuf)
-tmp/Utilities/Fastjet/plugins/SISCone/src/split_merge.$(ObjSuf): \
-	Utilities/Fastjet/plugins/SISCone/src/split_merge.$(SrcSuf)
-tmp/Utilities/Fastjet/plugins/SISCone/src/siscone_error.$(ObjSuf): \
-	Utilities/Fastjet/plugins/SISCone/src/siscone_error.$(SrcSuf)
-tmp/Utilities/Fastjet/plugins/SISCone/src/protocones.$(ObjSuf): \
-	Utilities/Fastjet/plugins/SISCone/src/protocones.$(SrcSuf)
-tmp/Utilities/Fastjet/plugins/SISCone/src/vicinity.$(ObjSuf): \
-	Utilities/Fastjet/plugins/SISCone/src/vicinity.$(SrcSuf)
-tmp/Utilities/Fastjet/plugins/SISCone/src/hash.$(ObjSuf): \
-	Utilities/Fastjet/plugins/SISCone/src/hash.$(SrcSuf)
 tmp/Examples/src/Analysis_Ex.$(ObjSuf): \
 	Examples/src/Analysis_Ex.$(SrcSuf) \
 	Examples/interface/Analysis_Ex.h
 SOURCE_OBJ =  \
+	tmp/src/JetUtils.$(ObjSuf) \
+	tmp/src/SmearUtil.$(ObjSuf) \
+	tmp/src/TriggerUtil.$(ObjSuf) \
+	tmp/src/BFieldProp.$(ObjSuf) \
 	tmp/src/VeryForward.$(ObjSuf) \
-	tmp/src/TriggerUtil.$(ObjSuf) \
+	tmp/src/LHEFConverter.$(ObjSuf) \
+	tmp/src/FrogUtil.$(ObjSuf) \
 	tmp/src/STDHEPConverter.$(ObjSuf) \
+	tmp/src/HEPEVTConverter.$(ObjSuf) \
 	tmp/src/TreeClasses.$(ObjSuf) \
-	tmp/src/JetUtils.$(ObjSuf) \
-	tmp/src/FrogUtil.$(ObjSuf) \
-	tmp/src/LHEFConverter.$(ObjSuf) \
-	tmp/src/BFieldProp.$(ObjSuf) \
-	tmp/src/HEPEVTConverter.$(ObjSuf) \
-	tmp/src/SmearUtil.$(ObjSuf) \
+	tmp/Utilities/ExRootAnalysis/src/ExRootTreeReader.$(ObjSuf) \
+	tmp/Utilities/ExRootAnalysis/src/ExRootTreeBranch.$(ObjSuf) \
+	tmp/Utilities/ExRootAnalysis/src/ExRootProgressBar.$(ObjSuf) \
 	tmp/Utilities/ExRootAnalysis/src/ExRootTreeWriter.$(ObjSuf) \
 	tmp/Utilities/ExRootAnalysis/src/BlockClasses.$(ObjSuf) \
-	tmp/Utilities/ExRootAnalysis/src/ExRootTreeBranch.$(ObjSuf) \
-	tmp/Utilities/ExRootAnalysis/src/ExRootTreeReader.$(ObjSuf) \
-	tmp/Utilities/ExRootAnalysis/src/ExRootProgressBar.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_Kicker.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_HorizontalQuadrupole.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_EllipticAperture.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_RomanPot.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_CircularAperture.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_TransportMatrices.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_Dipole.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_Drift.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_Aperture.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_HorizontalKicker.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_RectangularAperture.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_VerticalQuadrupole.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_VerticalKicker.$(ObjSuf) \
 	tmp/Utilities/Hector/src/H_Parameters.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_RomanPot.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_SectorDipole.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_BeamLineParser.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_RectangularDipole.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_Marker.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_OpticalElement.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_Quadrupole.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_BeamLine.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_RectangularCollimator.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_BeamParticle.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_AbstractBeamLine.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_RecRPObject.$(ObjSuf) \
 	tmp/Utilities/Hector/src/H_Beam.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_SectorDipole.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_RecRPObject.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_Drift.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_CircularAperture.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_VerticalQuadrupole.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_EllipticAperture.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_RectangularDipole.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_OpticalElement.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_Kicker.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_BeamLineParser.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_AbstractBeamLine.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_Aperture.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_BeamParticle.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_TransportMatrices.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_HorizontalKicker.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_Quadrupole.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_RectangularAperture.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_Marker.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_RectangularCollimator.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_BeamLine.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_HorizontalQuadrupole.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_VerticalKicker.$(ObjSuf) \
 	tmp/Utilities/Hector/src/H_RectEllipticAperture.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_Dipole.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequence1GhostPassiveArea.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequenceArea.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/Error.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequence_Delaunay.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/DnnPlane.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequenceVoronoiArea.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/BasicRandom.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequenceActiveArea.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequence_N2.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequence_TiledN2.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/JetDefinition.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequence_DumbN3.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequenceAreaBase.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequencePassiveArea.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequence_CP2DChan.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClosestPair2D.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/Dnn4piCylinder.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/MinHeap.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/PseudoJet.$(ObjSuf) \
 	tmp/Utilities/Fastjet/src/GhostedAreaSpec.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/RangeDefinition.$(ObjSuf) \
 	tmp/Utilities/Fastjet/src/Dnn3piCylinder.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequence_TiledN2.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/MinHeap.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/Dnn4piCylinder.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequence_DumbN3.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/Voronoi.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequenceVoronoiArea.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/RangeDefinition.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequencePassiveArea.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequenceAreaBase.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequence1GhostPassiveArea.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/AreaDefinition.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/JetDefinition.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/BasicRandom.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClosestPair2D.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/DnnPlane.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequence_Delaunay.$(ObjSuf) \
 	tmp/Utilities/Fastjet/src/ClusterSequence.$(ObjSuf) \
 	tmp/Utilities/Fastjet/src/ClusterSequenceActiveAreaExplicitGhosts.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/PseudoJet.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequenceArea.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequence_N2.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequenceActiveArea.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequence_CP2DChan.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/Error.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/AreaDefinition.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/Voronoi.$(ObjSuf) \
 	tmp/Utilities/Fastjet/src/Dnn2piCylinder.$(ObjSuf) \
 	tmp/Utilities/Fastjet/plugins/CDFCones/CDFMidPointPlugin.$(ObjSuf) \
 	tmp/Utilities/Fastjet/plugins/CDFCones/CDFJetCluPlugin.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/CDFCones/src/Centroid.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/CDFCones/src/CalTower.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/CDFCones/src/PhysicsTower.$(ObjSuf) \
 	tmp/Utilities/Fastjet/plugins/CDFCones/src/MidPointAlgorithm.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/CDFCones/src/PhysicsTower.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/CDFCones/src/Centroid.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/CDFCones/src/ClusterComparisons.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/CDFCones/src/LorentzVector.$(ObjSuf) \
 	tmp/Utilities/Fastjet/plugins/CDFCones/src/JetCluAlgorithm.$(ObjSuf) \
 	tmp/Utilities/Fastjet/plugins/CDFCones/src/Cluster.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/CDFCones/src/CalTower.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/CDFCones/src/LorentzVector.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/CDFCones/src/ClusterComparisons.$(ObjSuf) \
 	tmp/Utilities/Fastjet/plugins/SISCone/SISConePlugin.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/SISCone/src/hash.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/SISCone/src/siscone.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/SISCone/src/reference.$(ObjSuf) \
 	tmp/Utilities/Fastjet/plugins/SISCone/src/ranlux.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/SISCone/src/vicinity.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/SISCone/src/siscone_error.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/SISCone/src/area.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/SISCone/src/protocones.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/SISCone/src/split_merge.$(ObjSuf) \
 	tmp/Utilities/Fastjet/plugins/SISCone/src/geom_2d.$(ObjSuf) \
 	tmp/Utilities/Fastjet/plugins/SISCone/src/momentum.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/SISCone/src/reference.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/SISCone/src/siscone.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/SISCone/src/area.$(ObjSuf) \
 	tmp/Utilities/Fastjet/plugins/SISCone/src/quadtree.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/SISCone/src/split_merge.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/SISCone/src/siscone_error.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/SISCone/src/protocones.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/SISCone/src/vicinity.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/SISCone/src/hash.$(ObjSuf) \
 	tmp/Examples/src/Analysis_Ex.$(ObjSuf)
 
+tmp/Utilities/mcfio/mcfio_UserDictionary.$(ObjSuf): \
+	Utilities/mcfio/mcfio_UserDictionary.c
+tmp/Utilities/mcfio/mcfio_Util1.$(ObjSuf): \
+	Utilities/mcfio/mcfio_Util1.c
 tmp/Utilities/mcfio/mcf_ntuBldDbinc.$(ObjSuf): \
 	Utilities/mcfio/mcf_ntuBldDbinc.c
 tmp/Utilities/mcfio/mcfio_SeqDummy.$(ObjSuf): \
 	Utilities/mcfio/mcfio_SeqDummy.c
-tmp/Utilities/mcfio/mcfio_Util1.$(ObjSuf): \
-	Utilities/mcfio/mcfio_Util1.c
+tmp/Utilities/mcfio/mcfio_Block.$(ObjSuf): \
+	Utilities/mcfio/mcfio_Block.c
 tmp/Utilities/mcfio/mcf_evt_xdr.$(ObjSuf): \
 	Utilities/mcfio/mcf_evt_xdr.c
+tmp/Utilities/mcfio/mcfio_Direct.$(ObjSuf): \
+	Utilities/mcfio/mcfio_Direct.c
+tmp/Utilities/mcfio/mcf_ntubldInit.$(ObjSuf): \
+	Utilities/mcfio/mcf_ntubldInit.c
 tmp/Utilities/mcfio/mcf_NTuIOUtils.$(ObjSuf): \
 	Utilities/mcfio/mcf_NTuIOUtils.c
-tmp/Utilities/mcfio/mcfio_Block.$(ObjSuf): \
-	Utilities/mcfio/mcfio_Block.c
-tmp/Utilities/mcfio/mcfio_Direct.$(ObjSuf): \
-	Utilities/mcfio/mcfio_Direct.c
 tmp/Utilities/mcfio/mcf_NTuIOFiles.$(ObjSuf): \
 	Utilities/mcfio/mcf_NTuIOFiles.c
-tmp/Utilities/mcfio/mcfio_UserDictionary.$(ObjSuf): \
-	Utilities/mcfio/mcfio_UserDictionary.c
-tmp/Utilities/mcfio/mcf_ntubldInit.$(ObjSuf): \
-	Utilities/mcfio/mcf_ntubldInit.c
-tmp/Utilities/stdhep/mcf_hepev4_xdr.$(ObjSuf): \
-	Utilities/stdhep/mcf_hepev4_xdr.c \
-	Utilities/mcfio/mcfio_Dict.h \
-	Utilities/mcfio/mcf_xdr.h \
-	Utilities/stdhep/stdhep.h \
-	Utilities/stdhep/hepev4.h \
-	Utilities/stdhep/stdtmp.h \
-	Utilities/stdhep/stdver.h
-tmp/Utilities/stdhep/mcf_stdcm1_xdr.$(ObjSuf): \
-	Utilities/stdhep/mcf_stdcm1_xdr.c \
-	Utilities/mcfio/mcfio_Dict.h \
-	Utilities/mcfio/mcf_xdr.h \
-	Utilities/stdhep/stdcm1.h \
-	Utilities/stdhep/stdver.h
 tmp/Utilities/stdhep/mcf_hepup_xdr.$(ObjSuf): \
 	Utilities/stdhep/mcf_hepup_xdr.c \
@@ -494,17 +484,4 @@
 	Utilities/stdhep/heprup.h \
 	Utilities/stdhep/stdver.h
-tmp/Utilities/stdhep/mcf_Stdhep_xdr.$(ObjSuf): \
-	Utilities/stdhep/mcf_Stdhep_xdr.c \
-	Utilities/mcfio/mcfio_Dict.h \
-	Utilities/mcfio/mcf_xdr.h \
-	Utilities/stdhep/stdhep.h \
-	Utilities/stdhep/stdtmp.h \
-	Utilities/stdhep/stdver.h
-tmp/Utilities/stdhep/stdhep_internal_utils.$(ObjSuf): \
-	Utilities/stdhep/stdhep_internal_utils.c \
-	Utilities/stdhep/stdhep.h \
-	Utilities/stdhep/hepev4.h \
-	Utilities/stdhep/stdtmp.h \
-	Utilities/stdhep/hepeup.h
 tmp/Utilities/stdhep/stdhep_mcfio.$(ObjSuf): \
 	Utilities/stdhep/stdhep_mcfio.c \
@@ -522,26 +499,48 @@
 	Utilities/stdhep/stdcnt.h \
 	Utilities/stdhep/stdhep_mcfio.h
+tmp/Utilities/stdhep/mcf_hepev4_xdr.$(ObjSuf): \
+	Utilities/stdhep/mcf_hepev4_xdr.c \
+	Utilities/mcfio/mcfio_Dict.h \
+	Utilities/mcfio/mcf_xdr.h \
+	Utilities/stdhep/stdhep.h \
+	Utilities/stdhep/hepev4.h \
+	Utilities/stdhep/stdtmp.h \
+	Utilities/stdhep/stdver.h
+tmp/Utilities/stdhep/mcf_Stdhep_xdr.$(ObjSuf): \
+	Utilities/stdhep/mcf_Stdhep_xdr.c \
+	Utilities/mcfio/mcfio_Dict.h \
+	Utilities/mcfio/mcf_xdr.h \
+	Utilities/stdhep/stdhep.h \
+	Utilities/stdhep/stdtmp.h \
+	Utilities/stdhep/stdver.h
+tmp/Utilities/stdhep/mcf_stdcm1_xdr.$(ObjSuf): \
+	Utilities/stdhep/mcf_stdcm1_xdr.c \
+	Utilities/mcfio/mcfio_Dict.h \
+	Utilities/mcfio/mcf_xdr.h \
+	Utilities/stdhep/stdcm1.h \
+	Utilities/stdhep/stdver.h
+tmp/Utilities/stdhep/stdhep_internal_utils.$(ObjSuf): \
+	Utilities/stdhep/stdhep_internal_utils.c \
+	Utilities/stdhep/stdhep.h \
+	Utilities/stdhep/hepev4.h \
+	Utilities/stdhep/stdtmp.h \
+	Utilities/stdhep/hepeup.h
 STDHEP_OBJ =  \
+	tmp/Utilities/mcfio/mcfio_UserDictionary.$(ObjSuf) \
+	tmp/Utilities/mcfio/mcfio_Util1.$(ObjSuf) \
 	tmp/Utilities/mcfio/mcf_ntuBldDbinc.$(ObjSuf) \
 	tmp/Utilities/mcfio/mcfio_SeqDummy.$(ObjSuf) \
-	tmp/Utilities/mcfio/mcfio_Util1.$(ObjSuf) \
+	tmp/Utilities/mcfio/mcfio_Block.$(ObjSuf) \
 	tmp/Utilities/mcfio/mcf_evt_xdr.$(ObjSuf) \
+	tmp/Utilities/mcfio/mcfio_Direct.$(ObjSuf) \
+	tmp/Utilities/mcfio/mcf_ntubldInit.$(ObjSuf) \
 	tmp/Utilities/mcfio/mcf_NTuIOUtils.$(ObjSuf) \
-	tmp/Utilities/mcfio/mcfio_Block.$(ObjSuf) \
-	tmp/Utilities/mcfio/mcfio_Direct.$(ObjSuf) \
 	tmp/Utilities/mcfio/mcf_NTuIOFiles.$(ObjSuf) \
-	tmp/Utilities/mcfio/mcfio_UserDictionary.$(ObjSuf) \
-	tmp/Utilities/mcfio/mcf_ntubldInit.$(ObjSuf) \
+	tmp/Utilities/stdhep/mcf_hepup_xdr.$(ObjSuf) \
+	tmp/Utilities/stdhep/stdhep_mcfio.$(ObjSuf) \
 	tmp/Utilities/stdhep/mcf_hepev4_xdr.$(ObjSuf) \
+	tmp/Utilities/stdhep/mcf_Stdhep_xdr.$(ObjSuf) \
 	tmp/Utilities/stdhep/mcf_stdcm1_xdr.$(ObjSuf) \
-	tmp/Utilities/stdhep/mcf_hepup_xdr.$(ObjSuf) \
-	tmp/Utilities/stdhep/mcf_Stdhep_xdr.$(ObjSuf) \
-	tmp/Utilities/stdhep/stdhep_internal_utils.$(ObjSuf) \
-	tmp/Utilities/stdhep/stdhep_mcfio.$(ObjSuf)
-
-interface/DataConverter.h: \
-	Utilities/ExRootAnalysis/interface/ExRootTreeBranch.h \
-	Utilities/ExRootAnalysis/interface/LHEF.h
-	@touch $@
+	tmp/Utilities/stdhep/stdhep_internal_utils.$(ObjSuf)
 
 interface/TriggerUtil.h: \
@@ -549,4 +548,9 @@
 	Utilities/ExRootAnalysis/interface/TSimpleArray.h \
 	Utilities/ExRootAnalysis/interface/ExRootTreeBranch.h
+	@touch $@
+
+interface/DataConverter.h: \
+	Utilities/ExRootAnalysis/interface/ExRootTreeBranch.h \
+	Utilities/ExRootAnalysis/interface/LHEF.h
 	@touch $@
 
@@ -745,3 +749,19 @@
 ###
 
-
+tar $(TARBALL):
+	@echo Building tarball of sources
+	@mkdir $(FOLDER)
+	@rsync -qavztup --exclude=CVS* CREDITS README VERSION FAQ Delphes.cpp Resolutions.cpp Makefile rootlogon.C genMakefile.tcl interface lib routines src data Examples Utilities $(FOLDER)
+	@rm -f $(FOLDER)/$(SHARED)
+	@rm -f $(FOLDER)/Utilities/FROG/Lib/*.o
+	@rm -f $(FOLDER)/Utilities/FROG/Lib/libfrog.*
+	@tar czf $(TARBALL) $(FOLDER)
+	@rm -rf $(FOLDER)
+	@mkdir $(FOLDER)
+	@cp tt_jj_small.hep TEST_small_tt.list $(FOLDER)
+	@tar czf $(TESTFILE).tar.gz $(FOLDER)
+	@rm -rf $(FOLDER)
+	@echo Done : `ls $(TARBALL) $(TESTFILE).tar.gz`
+
+
+
Index: trunk/genMakefile.tcl
===================================================================
--- trunk/genMakefile.tcl	(revision 200)
+++ trunk/genMakefile.tcl	(revision 201)
@@ -225,4 +225,8 @@
 
 SHARED = lib/libUtilities.$(DllSuf) lib/libHector.$(DllSuf)
+VERSION=$(shell cat VERSION)
+FOLDER=Delphes_V_$(VERSION)
+TARBALL=$(FOLDER).tar.gz
+TESTFILE=tt_jj_small.hep
 
 all:
@@ -328,3 +332,19 @@
 ###
 
-}
+tar $(TARBALL):
+	@echo Building tarball of sources
+	@mkdir $(FOLDER)
+	@rsync -qavztup --exclude=CVS* CREDITS README VERSION FAQ Delphes.cpp Resolutions.cpp Makefile rootlogon.C genMakefile.tcl interface lib routines src data Examples Utilities $(FOLDER)
+	@rm -f $(FOLDER)/$(SHARED)
+	@rm -f $(FOLDER)/Utilities/FROG/Lib/*.o
+	@rm -f $(FOLDER)/Utilities/FROG/Lib/libfrog.*
+	@tar czf $(TARBALL) $(FOLDER)
+	@rm -rf $(FOLDER)
+	@mkdir $(FOLDER)
+	@cp tt_jj_small.hep TEST_small_tt.list $(FOLDER)
+	@tar czf $(TESTFILE).tar.gz $(FOLDER)
+	@rm -rf $(FOLDER)
+	@echo Done : `ls $(TARBALL) $(TESTFILE).tar.gz`
+
+
+}
